Subject: Re: bug#62332: error: java-eclipse-aether-Api: unbound variable
From: Matthew James Kraai <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: Julien Lepiller <[email-masked]>, [email-masked]
Date: Wed, 22 Mar 2023 05:19:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, Mar 21, 2023 at 07:54:20PM +0100, Josselin Poiret wrote:
> Julien Lepiller <[email-masked]> writes:
> 
> > How weird, I don't see it spelled like that in the repository (latest master). I don't see any recent change in the file either.
> >
> > Maybe there's an issue with your local checkout.
> > Guix has a checkout of the repository in one of the directories of ~/.cache/guix/checkouts. You should be able to locate it from its contents. What's the output of "git status" and "git diff"?
> >
> > If there's tome change, you could try "git checkout ." to reset the repo to its original state.
> 
> A stronger `git clean -dfv .` might be necessary to remove any stray
> files as well.

Thank you both for the suggestions.  The Guix checkout on my system is

~/.cache/guix/checkouts/pjmkglp4t7znuugeurpurzikxq3tnlaywmisyr27shj7apsnalwq

`git status` output

```
On branch master
Your branch is up to date with 'origin/master'.

nothing to commit, working tree clean
```

`git diff` didn't output anything.

`git clean -dfv .` said that `error: unknown switch `v'`, but after I
ran `git clean -dfx .`, `guix pull` succeeded!

-- 
Matt